Migrate Deployment BYOK
https://api.elastic-cloud.com/api/v1
- POST /deployments/{deployment_id}/byok-migration
Migrate an existing deployment to use customer-managed encryption keys (BYOK). Currently unavailable in self-hosted ECE.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
Request
Request to migrate deployment to BYOK encryption
-
key_resource_pathstringrequired -
Key resource path for the customer-managed encryption key.
Responses
BYOK migration request accepted.
- BYOK is not supported for system-owned deployments. (code:
byok_configuration.system_cluster_not_supported) - The deployment has ILM policies using found-snapshots in cold/frozen phases. (code:
byok_migration.ilm_policy_conflict)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
You are not authorized to perform this action.
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
The Deployment specified by {deployment_id} cannot be found. (code: deployments.deployment_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
- A different key is already configured on the deployment. (code:
byok_migration.key_mismatch) - Another plan is pending on the deployment. (code:
deployments.resource_plan_state_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
An error occurred while processing the request.
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request